org.eclipse.emf.compare.ide.ui.internal.logical.view.registry

## Class LogicalModelViewHandlerDescriptor

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.view.registry.LogicalModelViewHandlerDescriptor

    public class LogicalModelViewHandlerDescriptor
    extends Object

Descriptor of an `ILogicalModelViewHandler`.

This acts as a DTO holding the information about the registered handlers.

Handlers are stateful, so once a descriptor has been used to create its underlying instance, the handler remains in memory.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()` Get the qualified class name of the described handler.
`int` `getRanking()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getRanking

    public int getRanking()

See Also:
  `org.eclipse.emf.compare.ide.ui.internal.logical.view.ILogicalModelViewHandler#getRanking()`

#### getClassName

    public String getClassName()

Get the qualified class name of the described handler.

Returns:
  the qualified class name of the described handler.